﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Drawing.Imaging;
using System.Diagnostics;

namespace UltraToolbarManagerWithAPIUser32dll
{
    public partial class Form1 : Form
    {

        [DllImport("user32.dll")]
        public static extern bool PrintWindow(IntPtr hwnd, IntPtr hdcBlt, int nFlags);

        [DllImport("user32.dll")]
        public static extern IntPtr FindWindow(String sClassName, String sAppName);


        public Form1()
        {
            InitializeComponent();
            ultraToolbarsManager1.IsGlassSupported = true;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            pictureBox1.Image = GetWindow(FindWindow(null, "Form1"));
            pictureBox1.Image.Save("..\\..\\Test.bmp");
            //Process.Start("..\\..\\Test.bmp");
        }

        private Image GetWindow(IntPtr hwnd)
        {
            
            Rectangle rc = new Rectangle(0, 0, ultraToolbarsManager1.GetDockWidth(Infragistics.Win.UltraWinToolbars.DockedPosition.Top), ultraToolbarsManager1.GetDockHeight(Infragistics.Win.UltraWinToolbars.DockedPosition.Top));
            Bitmap bmp = new Bitmap(ultraToolbarsManager1.GetDockWidth(Infragistics.Win.UltraWinToolbars.DockedPosition.Top), ultraToolbarsManager1.GetDockHeight(Infragistics.Win.UltraWinToolbars.DockedPosition.Top), PixelFormat.Format32bppArgb);
            Graphics gfxBmp = Graphics.FromImage(bmp);
            IntPtr hdcBitmap = gfxBmp.GetHdc();
            PrintWindow(hwnd, hdcBitmap, 0);
            gfxBmp.ReleaseHdc(hdcBitmap);
            gfxBmp.Dispose();
            return bmp;
        }

    }
}
